Saiyan_1991's blog

By Saiyan_1991, 2 years ago, In English

If you can't prove it please give an upvote so that higher ranked user can see this post.

And as this is a alt account I don't care about contribution. I just need help. Thank you.

image

Full text and comments »

 
 
 
 
  • Vote: I like it
  • -16
  • Vote: I do not like it

By Saiyan_1991, history, 2 years ago, In English

Though topcoder is not so user friendly but many top coders suggest to solve problems on top coder. Is it necessary to solve problems in top coder to become one of the best in competitive programming? And why top coder gui is not user friendly?

Full text and comments »

 
 
 
 
  • Vote: I like it
  • +2
  • Vote: I do not like it

By Saiyan_1991, history, 3 years ago, In English

my g++ version is 9.3.0 but std::lcm() std::gcd() is not working. An error message is showing that "'lcm' was not declared in this scope" or "'gcd' was not declared in this scope". what should I do?

UPD: problem solved...keeping this post for those people who are encountering similar problem.

Full text and comments »

 
 
 
 
  • Vote: I like it
  • -3
  • Vote: I do not like it

By Saiyan_1991, history, 3 years ago, In English

UVa live archive judge is not working recently. Is there any alternative way(oj or other) to check if my code is ok or not?

Full text and comments »

 
 
 
 
  • Vote: I like it
  • 0
  • Vote: I do not like it

By Saiyan_1991, history, 3 years ago, In English

I use minGW c++17 compiler in codeblocks. Recently I wanted to code in sublime text 3 and CP editor and there I'm continuously getting error message like "range-based 'for' loops only available with -std=c++11 or -std=gnu++11" , "'clamp' was not declared in this scope", "'nullptr' was not declared in this scope" etc. But in codeblocks those codes are fine and running smoothly. Even OJs are not giving compilation error.

Especially this blog's code snippets are are not working in my codeblocks compiler too!! But they are working fine in Codeforces custom invocation.

I have installed latest version of minGW compiler but still this problem is occurring. I tried to change (settings > compiler > toolchain executables) the path of the codeblocks inbuilt compiler with recent downloaded compiler but it is not compiling then.

so how can I,

  1. Change compiler in codeblocks.

  2. Merge c++11 and c++14 with c++17 like codeblocks so that i don't get above mentioned errors while I'm compiling in CP editor or sublime text.

Full text and comments »

 
 
 
 
  • Vote: I like it
  • 0
  • Vote: I do not like it